Skip to main content
POST
/
v1
/
cards
/
{card_id}
/
withdraw
Withdraw from card
curl --request POST \
  --url https://api.platnova.com/v1/cards/{card_id}/withdraw \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "currency": "ngn",
  "amount": 200
}
'
import requests

url = "https://api.platnova.com/v1/cards/{card_id}/withdraw"

payload = {
"currency": "ngn",
"amount": 200
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({currency: 'ngn', amount: 200})
};

fetch('https://api.platnova.com/v1/cards/{card_id}/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": true,
  "data": {
    "customer": {
      "id": "43a2b75e-5c59-429e-872a-2a54c7b17e34",
      "first_name": "John",
      "last_name": "Doe",
      "email": "[email protected]"
    },
    "card_id": "18ee492a-617c-4878-958a-2ee08dc20ff4",
    "transaction_reference": "UTR_3jtbBJC7lPJmYfcJXEWfaN2Sk1t57T",
    "transaction_status": "processing",
    "currency": "ngn",
    "amount": "500"
  },
  "error": [],
  "message": "operation was successful"
}
{
"status": false,
"data": {},
"error": [],
"message": "card was not found"
}

Overview

Withdraw funds from a specific card back to your business wallet. This endpoint allows you to retrieve money from a card, reducing the card balance accordingly.

Authorizations

X-API-KEY
string
header
required

API key for authentication.

Path Parameters

card_id
string
required

Unique ID of the card

Body

application/json
currency
string

Currency

amount
integer

Amount to withdraw

Response

200 - Success

status
boolean
data
object
error
any[]
message
string